Name:           python-berkeleydb
Version:        18.1.2 
Release:        %mkrel 1
Summary:        Python bindings for BerkeleyDB
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/berkeleydb/
Source0:        https://pypi.python.org/packages/source/b/berkeleydb/berkeleydb-%{version}.tar.gz
BuildRequires:  db-devel
BuildRequires:  python3-devel >= 3.8
BuildRequires:  python3-setuptools

%description
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%package -n python3-berkeleydb
Summary:        Python 3 bindings for BerkeleyDB
%{?python_provide:%python_provide python3-berkeleydb}

%description -n python3-berkeleydb
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%prep
%autosetup -p1 -n berkeleydb-%{version}

# drop bundled egg-info
rm -rf berkeleydb.egg-info/

%build
%py3_build

%install
%py3_install

# Get rid of unneeded header
rm -f %{buildroot}%{_includedir}/python*/berkeleydb/berkeleydb.h

# Make all scripts executable
chmod 0755 %{buildroot}%{python3_sitearch}/berkeleydb/dbshelve.py

# fix shebangs
%{_bindir}/pathfix.py -i %{__python3} -p -n %{buildroot}%{python3_sitearch}/berkeleydb/

%files -n python3-berkeleydb
%doc ChangeLog PKG-INFO README.txt LICENSE.txt
%{python3_sitearch}/berkeleydb/
%{python3_sitearch}/berkeleydb-%{version}-py?.?.egg-info


%changelog
* Fri Jan 22 2021 neoclust <neoclust> 18.1.2-1.mga8
+ Revision: 1672841
- imported package python-berkeleydb

